Duplicate Tab

<<important note: this is still working for versions after 3.5!!>>

There are a few ways to get Duplicate Tab to work once you install Firefox 3.5…

Easiest Method: get yourself a changed version of this file: duplicatetab-1.0.2.xpi. You can download my finished version right here right now: http://dl.getdropbox.com/u/1965722/duplicatetab-1.0.2.nick.xpi
(Edit: If the link doesn’t work, try using ‘save target as…’ and then opening it with firefox or dragging it into firefox from your desktop-or wherever you saved it)

If you want to take the long route, your options are:
Option 2. Figure out ‘How to update Firefox or Thunderbird addons to work with a new release.’ You can do that here: http://www.techsupportalert.com/content/how-update-firefox-thunderbird-addons-new-release.htm

Option 3. Follow these instructions: From mikedepetris ( http://forums.mozillazine.org/viewtopic.php?f=48&t=83785&start=165 ):
– download duplicatetab-1.0.2.xpi (Edit: you can get it here http://twanno.mozdev.org/duplicatetab/installation.html)
– rename it to duplicatetab-1.0.2.xpi.zip or .rar
– extract install.rdf with a suitable archiver
– edit install.rdf
– change the line:
3.1a1pre
to
9.9
(this makes it good up to FireFox 9.9)
– save install.rdf and repack it in duplicatetab-1.0.2.xpi.zip
– rename it to duplicatetab-1.0.2whatever.xpi
– open the .xpi file and install the extension
– play 🙂

Thanks for reading. I hope everyone enjoys the newly updated Duplicate Tab extension 1.0.2, it should last you a while 🙂 I use Duplicate Tab all the time for my Mozilla Firefox 3.5, please leave a comment if it helped! 🙂